Workflows
Get a workflow run
Get one workflow run with the definition it executes, every node activation (status, item counts, errors, waits) and the events cursor. Items are read with workflows.runs.node_items.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
run_id*string
Resource identifier: run_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/workflow-runs/123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "workflow_id": "123e4567-e89b-42d3-a456-426614174000", "workflow_name": "Invoice approval", "space_id": "123e4567-e89b-42d3-a456-426614174000", "version": { "id": "123e4567-e89b-42d3-a456-426614174000", "version": 0 }, "origin": "manual", "actor_type": "api", "trigger_id": "123e4567-e89b-42d3-a456-426614174000", "webhook_id": "123e4567-e89b-42d3-a456-426614174000", "parent_run_id": "123e4567-e89b-42d3-a456-426614174000", "trigger_node_id": "example", "test_node_id": "example", "status": "ACTIVE", "error_code": "example", "error_message": "example", "error_details": {}, "retry_of": "123e4567-e89b-42d3-a456-426614174000", "activations_total": 0, "cost_micro_usd": 0, "micro_credits": 0, "requested_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "created_at": "2026-09-04T12:00:00Z", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z", "wake_at": "2026-09-04T12:00:00Z", "definition": {}, "settings": {}, "trace_id": "0af7651916cd43dd8448eb211c80319c", "node_runs": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "node_id": "trigger", "node_kind": "manual_trigger", "node_name": "Manual trigger", "context_key": "example", "iteration_path": [], "attempt": 0, "sequence": 0, "seeded": false, "status": "ACTIVE", "input_count": 0, "output_counts": {}, "error_code": "example", "error_message": "example", "error_details": {}, "retryable": false, "cost_micro_usd": 0, "micro_credits": 0, "duration_ms": 0, "wake_at": "2026-09-04T12:00:00Z", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z", "wait": {} } ], "events_cursor": 0}